Bug 399002 - Exporting to psd discards file layers
Summary: Exporting to psd discards file layers
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 4.1.1
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-23 23:28 UTC by katearcher89
Modified: 2018-09-25 06:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description katearcher89 2018-09-23 23:28:04 UTC
Exporting .kra file containing file layers to psd format discards any file layers in that said .kra file resulting in psd file containing no layers containing images from that file layers.

How to reproduce:
1. Create a new file.
2. Create a new file layer and load into it any image you want from disk.
3. Choose an export option from file menu and export a file to photoshop format.
4. Open an exported file.
5. See no layer containing an image that was loaded via the file layer.

Expected: To have a file layer rasterized and saved into an exported file as a pixel layer containing an image from the file, associated with the file layer.
Comment 1 wkg28406 2018-09-24 02:55:22 UTC
krita-4.2.0-pre-alpha-127857b-x86_64.appimage

confirming

however, it is stated that some data may be lost when saving as photoshop format
Comment 2 Dmitry Kazakov 2018-09-24 16:39:22 UTC
Git commit 4f9cc2c19d3a950e2b4c48d7c87af7c64cb64c59 by Dmitry Kazakov.
Committed on 24/09/2018 at 16:38.
Pushed by dkazakov into branch 'master'.

Let Krita save all the kinds of layers into PSD (in rasterized way)

I don't know why, but originally we supported saving only of "paint"
and "vector" layers. This patch allows saving of all kinds of
layers, just rasterize them before saving.

M  +3    -4    plugins/impex/psd/psd_layer_section.cpp

https://commits.kde.org/krita/4f9cc2c19d3a950e2b4c48d7c87af7c64cb64c59
Comment 3 Halla Rempt 2018-09-25 06:25:52 UTC
Git commit b7d2868c0e9155132e123fc3fae47caeb66133b3 by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 25/09/2018 at 06:22.
Pushed by rempt into branch 'krita/4.1'.

Let Krita save all the kinds of layers into PSD (in rasterized way)

I don't know why, but originally we supported saving only of "paint"
and "vector" layers. This patch allows saving of all kinds of
layers, just rasterize them before saving.

M  +3    -4    plugins/impex/psd/psd_layer_section.cpp

https://commits.kde.org/krita/b7d2868c0e9155132e123fc3fae47caeb66133b3